com.holonplatform.vaadin7.spring.internal

## Class ViewContextInjectionPostProcessor

- java.lang.Object
- - com.holonplatform.vaadin7.spring.internal.ViewContextInjectionPostProcessor

- All Implemented Interfaces:
    org.springframework.beans.factory.config.BeanPostProcessor

      public class ViewContextInjectionPostProcessor
      extends Object
      implements org.springframework.beans.factory.config.BeanPostProcessor

  `BeanPostProcessor` to inject `ViewContext` fields into a `View` instance.
  Since:
    5.0.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewContextInjectionPostProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `postProcessAfterInitialization(Object bean, String beanName)`
    `Object` | `postProcessBeforeInitialization(Object bean, String beanName)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ViewContextInjectionPostProcessor

          public ViewContextInjectionPostProcessor()

  - ### Method Detail

    - #### postProcessBeforeInitialization

          public Object postProcessBeforeInitialization(Object bean,
                                                        String beanName)
                                                 throws org.springframework.beans.BeansException

      Specified by:
        `postProcessBeforeInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`
      Throws:
        `org.springframework.beans.BeansException`

    - #### postProcessAfterInitialization

          public Object postProcessAfterInitialization(Object bean,
                                                       String beanName)
                                                throws org.springframework.beans.BeansException

      Specified by:
        `postProcessAfterInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`
      Throws:
        `org.springframework.beans.BeansException`

Copyright © 2019 The Holon Platform. All rights reserved.